Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.components.net
Class JSSESocketFactory

    java.lang.Object
      |
      +--org.apache.axis.components.net.DefaultSocketFactory
            |
            +--org.apache.axis.components.net.JSSESocketFactory

All Implemented Interfaces:
  SocketFactory

Direct Known Subclasses:
  FakeTrustSocketFactory

public class JSSESocketFactory
extends DefaultSocketFactory

SSL socket factory. It _requires_ a valid RSA key and JSSE. (borrowed code from tomcat)

Author:
  Davanum Srinivas (dims@yahoo.com)

Fields inherited from class org.apache.axis.components.net.DefaultSocketFactory
`attributes, log`

Constructor Summary
`JSSESocketFactory(java.util.Hashtable attributes)` Constructor JSSESocketFactory

Method Summary
`java.net.Socket` | `create(java.lang.String host, int port, java.lang.StringBuffer otherHeaders, BooleanHolder useFullURL)` creates a secure socket
`protected com.sun.net.ssl.SSLContext` | `getContext()` gets a SSL Context

Methods inherited from class org.apache.axis.components.net.DefaultSocketFactory
`isHostInNonProxyList, match`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JSSESocketFactory

    public JSSESocketFactory(java.util.Hashtable attributes)

  Constructor JSSESocketFactory
  Parameters:
    `attributes` -

Method Detail

### create

    public java.net.Socket create(java.lang.String host,
                                  int port,
                                  java.lang.StringBuffer otherHeaders,
                                  BooleanHolder useFullURL)
                           throws java.lang.Exception

  creates a secure socket
  Overrides:
    `create` in class `DefaultSocketFactory`
  Parameters:
    `host` -
    `port` -
    `otherHeaders` -
    `useFullURL` -
  Returns:
    Socket
  Throws:
    `java.lang.Exception` -

### getContext

    protected com.sun.net.ssl.SSLContext getContext()
                                             throws java.lang.Exception

  gets a SSL Context
  Returns:
    SSLContext
  Throws:
    `java.lang.Exception` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.